unit IBMTCP32;

{$OrgName+ }

interface

uses
  uTwmSockDef,
  OS2Def;

{$CDECL+}
  function inet_addr(_s: pChar): ULONG;

  function gethostbyname(_HName: pChar): pHostEnt;

  function gethostbyaddr(_HAddr:     pointer;
                         _HAddrLen:  longint;
                         _HAddrType: ULong): pHostEnt;

  function gethostname(_HName:   pChar;
                       _HLength: ULong): APIRET;

  function getprotobyname(_Name: pChar): pProtoEnt;

  function getservbyname(_Name, _Proto: pChar): pServEnt;

  function htonl(_a: LongInt): LongInt;

  function htons(_a: SmallInt): SmallInt;

  function ntohl(_a: LongInt): LongInt;

  function ntohs(_a: SmallInt): SmallInt;

{$CDECL-}

implementation

{$L IBMTCPIP.LIB}

const
  Version    = '00.90';
  UseString:  string = '@(#)import interface unit for IBM TCP/IP tcp32dll.dll'+#0;
  CopyRight1: string = '@(#)ibmTCP32 Version '+Version+' - 10.10.96'+#0;
  CopyRight2: string = '@(#)(C) Chr.Hohmann BfS ST2.2 1996'+#0;

{$CDECL+}
  function inet_addr;                   external;
  function gethostbyname;               external;
  function gethostbyaddr;               external;
  function gethostname;                 external;
  function getprotobyname;              external;
  function getservbyname;               external;
  function htonl;                       external;
  function htons;                       external;
  function ntohl;                       external;
  function ntohs;                       external;
{$CDECL-}
end.
