unit uW32sock;

interface

uses
  Windows,
  uTwmSockDef;

function accept(_s: ULONG; _addr: pSockAddr; _addrlen: PInteger): ULONG; stdcall;
function bind(_s: ULONG; _addr: pSockAddr; _namelen: Integer): Integer; stdcall;
function MS_closesocket(_s: ULONG): Integer; stdcall;
function connect(_s: ULONG; _name: pSockAddr; _namelen: Integer): Integer; stdcall;
function ioctlsocket(_s: ULONG; _cmd: Longint; var _arg: ULONG): Integer; stdcall;
function getpeername(_s: ULONG; _name: pSockAddr; var _namelen: Integer): Integer; stdcall;
function getsockname(_s: ULONG; _name: pSockAddr; var _namelen: Integer): Integer; stdcall;
function getsockopt(_s: ULONG; _level, _optname: Integer; _optval: PChar; var _optlen: Integer): Integer; stdcall;
function htonl(_hostlong: ULONG): ULONG; stdcall;
function htons(_hostshort: USHORT): USHORT; stdcall;
function inet_addr(_cp: PChar): ULONG; stdcall;
function inet_ntoa(_inaddr: tIn_Addr): PChar; stdcall;
function listen(_s: ULONG; _backlog: Integer): Integer; stdcall;
function ntohl(_netlong: ULONG): ULONG; stdcall;
function ntohs(_netshort: USHORT): USHORT; stdcall;
function recv(_s: ULONG; _Buf: pointer; _len, _flags: Integer): Integer; stdcall;
function recvfrom(s: ULONG; _Buf: pointer; _len, _flags: Integer;
                  var _from: TSockAddr; var _fromlen: Integer): Integer; stdcall;
function MS_select(_nfds: Integer; _readfds, _writefds, _exceptfds: PFDSet;
                   _timeout: PTimeVal): Longint; stdcall;
function send(_s: ULONG; _Buf: pointer; _len, _flags: Integer): Integer; stdcall;
function sendto(_s: ULONG; _Buf: pointer; _len, _flags: Integer; var _addrto: TSockAddr;
                _tolen: Integer): Integer; stdcall;
function setsockopt(_s: ULONG; _level, _optname: Integer; _optval: PChar;
                    _optlen: Integer): Integer; stdcall;
function shutdown(_s: ULONG; _how: Integer): Integer; stdcall;
function socket(_af, _struct, _protocol: Integer): ULONG; stdcall;
function gethostbyaddr(_addr: Pointer; _len, _struct: Integer): PHostEnt; stdcall;
function gethostbyname(_name: PChar): PHostEnt; stdcall;
function gethostname(_name: PChar; _len: Integer): Integer; stdcall;
function getservbyport(_port: Integer; _proto: PChar): PServEnt; stdcall;
function getservbyname(_name, _proto: PChar): PServEnt; stdcall;
function getprotobynumber(_proto: Integer): PProtoEnt; stdcall;
function getprotobyname(_name: PChar): PProtoEnt; stdcall;
function MS_Startup(wVersionRequired: word; WSData: pWSAData): Integer; stdcall;
function MS_Cleanup: Integer; stdcall;
function MS_GetLastError: integer; stdcall;
function MS_CancelBlockingCall: Integer; stdcall;

implementation

function accept;            external    'wsock32.dll' name 'accept';
function bind;              external    'wsock32.dll' name 'bind';
function MS_closesocket;    external    'wsock32.dll' name 'closesocket';
function connect;           external    'wsock32.dll' name 'connect';
function getpeername;       external    'wsock32.dll' name 'getpeername';
function getsockname;       external    'wsock32.dll' name 'getsockname';
function getsockopt;        external    'wsock32.dll' name 'getsockopt';
function htonl;             external    'wsock32.dll' name 'htonl';
function htons;             external    'wsock32.dll' name 'htons';
function inet_addr;         external    'wsock32.dll' name 'inet_addr';
function inet_ntoa;         external    'wsock32.dll' name 'inet_ntoa';
function ioctlsocket;       external    'wsock32.dll' name 'ioctlsocket';
function listen;            external    'wsock32.dll' name 'listen';
function ntohl;             external    'wsock32.dll' name 'ntohl';
function ntohs;             external    'wsock32.dll' name 'ntohs';
function recv;              external    'wsock32.dll' name 'recv';
function recvfrom;          external    'wsock32.dll' name 'recvfrom';
function MS_select;         external    'wsock32.dll' name 'select';
function send;              external    'wsock32.dll' name 'send';
function sendto;            external    'wsock32.dll' name 'sendto';
function setsockopt;        external    'wsock32.dll' name 'setsockopt';
function shutdown;          external    'wsock32.dll' name 'shutdown';
function socket;            external    'wsock32.dll' name 'socket';

function gethostbyaddr;     external    'wsock32.dll' name 'gethostbyaddr';
function gethostbyname;     external    'wsock32.dll' name 'gethostbyname';
function getprotobyname;    external    'wsock32.dll' name 'getprotobyname';
function getprotobynumber;  external    'wsock32.dll' name 'getprotobynumber';
function getservbyname;     external    'wsock32.dll' name 'getservbyname';
function getservbyport;     external    'wsock32.dll' name 'getservbyport';
function gethostname;       external    'wsock32.dll' name 'gethostname';
function MS_Startup;        external    'wsock32.dll' name 'WSAStartup';
function MS_Cleanup;        external    'wsock32.dll' name 'WSACleanup';
function MS_GetLastError;   external    'wsock32.dll' name 'WSAGetLastError';
function MS_CancelBlockingCall; external 'wsock32.dll' name 'WSACancelBlockingCall';

end.
